#!/usr/bin/perl

use strict;
use Test::More tests => 16;

# 1
BEGIN { use_ok('FDN::TeX::TeX'); }
BEGIN { $FDN::Common::Config::CONFIG_ROOT = './t/'; }

# 2
my $res;
$res = set_tex_config('tex.cfg');
ok ( $res, 'set_tex_config' );

# 3,4
my $test;
$test = \&FDN::TeX::TeX::get_doc_dir;
$res = &$test('test');
is ( $res, 'testdir', 'get_doc_dir' );
$res = &$test('autre');
is ( $res, '.', 'get_doc_dir' );

# 5,6
$test = \&FDN::TeX::TeX::get_doc_template;
$res = &$test('test');
is ( $res, 'test-tex.tpl', 'get_doc_template' );
$res = &$test('autre');
is ( $res, 'autre.tpl', 'get_doc_template' );

# 7,8
$test = \&FDN::TeX::TeX::get_doc_pdf;
$res = &$test('test');
is ( $res, 'out.pdf', 'get_doc_pdf' );
$res = &$test('autre');
is ( $res, 'autre.pdf', 'get_doc_pdf' );

# 9,10
$test = \&FDN::TeX::TeX::get_doc_tex;
$res = &$test('test');
is ( $res, 'test.tex', 'get_doc_tex' );
$res = &$test('autre');
is ( $res, 'autre.tex', 'get_doc_tex' );

# 11,13
$test = \&FDN::TeX::TeX::get_doc_fichiers;
$res = &$test('test');
is ( $#$res, 0, 'get_doc_fichiers' );
is ( $res->[0], 'test.sty', 'get_doc_fichiers' );
$res = &$test('autre');
is ( $#$res, -1, 'get_doc_fichiers' );

if ( ! -d '/tmp/testdir' ) {
	mkdir '/tmp/testdir';
}

# 14,16
my $data = {
	value => 'coucou'
};
$res = make_pdf_file('test','sub',$data);
is ( $res, '/tmp/testdir/sub/out.pdf', 'make_pdf_file' );
ok ( -f '/tmp/testdir/sub/out.pdf', 'make_pdf_file' );
ok ( -f '/tmp/testdir/sub/test.sty', 'make_pdf_file' );




